
package de.ivu.elect.business.stimmeingabe.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.stimmeingabe.entity.ZwischensummeEingabe;
import de.ivu.elect.business.stimmeingabe.boundary.ZwischensummeEingabeDAO;
import de.ivu.elect.business.stimmeingabe.boundary.ZwischensummeEingabeCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractZwischensummeEingabeCreate {

  @Inject
  protected ZwischensummeEingabeDAO dao;

    @Inject
    transient Event<ZwischensummeEingabeCreateEvent> createEvent;



    @Inject
  de.ivu.elect.business.stimmeingabe.control.StimmeingabeCreate superCreate;
  


public void save(ZwischensummeEingabe entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(ZwischensummeEingabe entity) {
        superCreate.sendCreateEvent(entity);
        createEvent.fire(new ZwischensummeEingabeCreateEvent(entity));
  }

}
